Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665558 - media-video/webcamoid-8.1.0 : src/mediawriterffmpeg.cpp:254:47: error: CODEC_CAP_EXPERIMENTAL was not declared in this scope
Summary: media-video/webcamoid-8.1.0 : src/mediawriterffmpeg.cpp:254:47: error: CODEC_...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Dmitry Baranov
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: ffmpeg-4
  Show dependency tree
 
Reported: 2018-09-09 09:27 UTC by Toralf Förster
Modified: 2018-11-06 01:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.90 KB, text/plain)
2018-09-09 09:27 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,163.01 KB, text/plain)
2018-09-09 09:27 UTC, Toralf Förster
Details
environment (environment,57.11 KB, text/plain)
2018-09-09 09:27 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,26.69 KB, application/x-bzip)
2018-09-09 09:27 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.49 KB, application/x-bzip)
2018-09-09 09:28 UTC, Toralf Förster
Details
media-video:webcamoid-8.1.0:20180909-091855.log (media-video:webcamoid-8.1.0:20180909-091855.log,302.91 KB, text/plain)
2018-09-09 09:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.36 KB, application/x-bzip)
2018-09-09 09:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-09-09 09:27:44 UTC
 AVCodec *av_codec_next(const AVCodec *c);
          ^~~~~~~~~~~~~
src/mediawriterffmpeg.cpp:254:47: error: ‘CODEC_CAP_EXPERIMENTAL’ was not declared in this scope
                     if (codec->capabilities & CODEC_CAP_EXPERIMENTAL
                                               ^~~~~~~~~~~~~~~~~~~~~~
src/mediawriterffmpeg.cpp:254:47: note: suggested alternative: ‘AV_CODEC_CAP_EXPERIMENTAL’

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-ffmpeg4_20180904-181027

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
  [4]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv media-video/webcamoid
[ebuild  N    ] media-video/webcamoid-8.1.0  USE="alsa ffmpeg (-coreaudio) -debug -gstreamer -headers -jack -libav -libuvc -oss -pulseaudio -qtaudio -v4l -v4lutils -videoeffects" 

!!! The following installed packages are masked:
- app-admin/vault-0.11.0::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-09-09 09:27:47 UTC
Created attachment 546374 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-09-09 09:27:51 UTC
Created attachment 546376 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-09-09 09:27:54 UTC
Created attachment 546378 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-09-09 09:27:57 UTC
Created attachment 546380 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-09-09 09:28:00 UTC
Created attachment 546382 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-09-09 09:28:03 UTC
Created attachment 546384 [details]
media-video:webcamoid-8.1.0:20180909-091855.log
Comment 7 Toralf Förster gentoo-dev 2018-09-09 09:28:06 UTC
Created attachment 546386 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2018-11-06 01:26:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a68ee9a58da8eeb0b000636b7aaf036b56f1788

commit 7a68ee9a58da8eeb0b000636b7aaf036b56f1788
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2018-11-05 22:31:07 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2018-11-06 01:21:12 +0000

    media-video/webcamoid: Compatibility with ffmpeg 4
    
    Closes: https://bugs.gentoo.org/665558
    Package-Manager: Portage-2.3.51, Repoman-2.3.12
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 .../webcamoid/files/webcamoid-8.1.0-ffmpeg-4.patch | 169 +++++++++++++++++++++
 media-video/webcamoid/webcamoid-8.1.0.ebuild       |   4 +-
 2 files changed, 172 insertions(+), 1 deletion(-)